## vor 0.5.5

=== debian/changelog ===
vor (0.5.5-2ubuntu1) raring; urgency=low

  * Added missing math lib to link, fixing FTBFS. 

 -- Daniel T Chen <crimsun@ubuntu.com>  Fri, 12 Apr 2013 15:47:48 -0400

vor (0.5.5-2) unstable; urgency=low

  [ Davide Governale ]
  * debian/control: package moved to contrib (Closes: #562098)
  * debian/patches/00-fix_file.c.path added, search data in
    /usr/share first, thanks to Artur R. Czechowski (Closes: #562203)
  * debian/vor.desktop: fixed GenericName and Icon
  * debian/vor.6: fixed AUTHOR section

  [ David Paleino ]
  * debian/control:
    - added myself to Uploaders
    - bump Standards-Version to 3.8.4, no changes needed
    - rewrapped B-D field, removed B-D on quilt
    - added Vcs-* fields
  * debian/source/format: use 3.0 (quilt)
  * debian/rules: remove "--with quilt"

 -- David Paleino <dapal@debian.org>  Fri, 11 Jun 2010 08:22:32 +0200

vor (0.5.5-1) unstable; urgency=low

  * Initial release (Closes: #440952) 

 -- Davide Governale <magellanino@gmail.com>  Sun, 20 Dec 2009 17:01:30 +0100
