=== debian/control ===
Source: vor
Section: contrib/games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Davide Governale <magellanino@gmail.com>
Uploaders: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~)
 , autotools-dev
 , libsdl1.2-dev
 , libsdl-image1.2-dev
 , libsdl-mixer1.2-dev
Standards-Version: 3.8.4
Homepage: http://jasonwoof.org/vor
Vcs-Git: git://git.debian.org/git/collab-maint/vor.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/vor.git

Package: vor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: fast-pace, difficult and addictive rocks dodging game
 This is a fairly hard game, intended to be a quickie game for when
 you want to kill a few spare minutes.
 The most important thing is to tap the keys very gently!
 Overcontrolling is the leading cause of death among new rockdodgers!
