=== debian/watch ===
version=3
http://qualdan.com/vor/vor-(\d+.*)\.tar\.bz2
