## vor 0.5.7

=== debian/changelog ===
vor (0.5.7-2) unstable; urgency=medium

  * Fixes and updates
  * debian/control:
    - Updates Standards-Version to 4.1.3
    - Updates home and git links to https
    - Updates debhelper compat version to 11
  * debian/rules
    - Enables hardening options
    - Removes deprecated autotools-dev
  * debian/watch
    - Fixes regex so that upstream filenames are picked up correctly
  * debian/changelog
    - Bumps version number
  * debian/compat
    - Updates compat version number to 11

 -- Ana Custura <ana@netstat.org.uk>  Fri, 26 Jan 2018 12:18:28 +0000

vor (0.5.7-1) unstable; urgency=medium

  * New upstream release, fixes string formatting compiler warnings
    (Closes: #824156)
  * Adds information to manpages (Closes: #824159) 
  * Changes watch file location

 -- Ana Custura <ana@netstat.org.uk>  Mon, 23 May 2016 22:42:35 +0100

vor (0.5.6-1) unstable; urgency=medium

  * Repackages VOR in Debian (Closes: #814390)  

 -- Ana Custura <ana@netstat.org.uk>  Thu, 28 Apr 2016 14:41:37 +0100
