=== debian/control ===
Source: vor
Section: games
Priority: optional
Maintainer: Ana Custura <ana@netstat.org.uk>
Build-Depends: debhelper (>=11),autotools-dev,libsdl-mixer1.2-dev,libsdl-image1.2-dev,libsdl1.2-dev,povray,netpbm,pkg-config
Standards-Version: 4.1.3
Homepage: https://sametwice.com/vor
Vcs-Git: https://anonscm.debian.org/git/pkg-games/vor.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/vor.git

Package: vor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: 2D action game about dodging rocks in space
 VoR is a simple, fast-paced action game that will challenge your reflexes. It
 has excellent gameplay, great physics, good graphics, and a retro/synthoid
 thumpy beat to help put you in the mood for old-school 2D gaming.
