=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
%:
	dh $@

override_dh_auto_install:
	dh_auto_install --max-parallel=1
override_dh_auto_configure:
	dh_auto_configure -- --bindir=/usr/games
override_dh_auto_build:
	dh_auto_build
	make vor.desktop
