=== debian/watch ===
version=4

   https://jasonwoof.com/downloads/vor/ \
   vor-(\d[\d.]*)\.tgz debian uupdate
