## vor 0.5.8

=== debian/changelog ===
vor (0.5.8-1) unstable; urgency=medium

  [ Ana Custura ]
  * New upstream version 0.5.8 (Closes:#957918)
  * debian/control:
    - Bump DH version, removes legacy compat file
    - Bump S-V to 4.5.0 (no changes required)
  * debian/watch:
    - Update watch file URL to Github repo
  * debian/changelog:
    - Update source URL to Github repo
    - Fix wildcard matching
  * debian/vor.6:
    - Update URL and fix flag in man page

 -- Ana Custura <ana@netstat.org.uk>  Sat, 18 Apr 2020 16:50:53 +0100

vor (0.5.7-3) unstable; urgency=medium

  [ Ana C. Custura ]
  * Updates Standards-Version to 4.2.0
  * Removes dependency on autotools-dev
  * Updates VCS fields
  * Removes trailing whitespaces

 -- Ana Custura <ana@netstat.org.uk>  Thu, 16 Aug 2018 23:12:28 +0100
