=== debian/control ===
--- 
+++ 
@@ -2,11 +2,10 @@
 Section: games
 Priority: optional
 Maintainer: Ana Custura <ana@netstat.org.uk>
-Build-Depends: debhelper (>=11),autotools-dev,libsdl-mixer1.2-dev,libsdl-image1.2-dev,libsdl1.2-dev,povray,netpbm,pkg-config
-Standards-Version: 4.1.3
+Build-Depends: debhelper-compat (= 12),libsdl-mixer1.2-dev,libsdl-image1.2-dev,libsdl1.2-dev,povray,netpbm,pkg-config
+Standards-Version: 4.5.0
 Homepage: https://sametwice.com/vor
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/vor.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/vor.git
+Vcs-Git: https://salsa.debian.org/games-team/vor.git
 
 Package: vor
 Architecture: any
