=== debian/watch ===
version=4

   https://github.com/JasonWoof/vor/tags \
   (?:.*?/)?(\d[\d.]*)\.tar\.gz debian uupdate
